<ng-container *ngIf="selectedTrooper">
  <div class="mx-3 lg:mx-6 mt-[5px] flex flex-col">
    <div class="text-sm text-textdescription mb-10">
      {{ selectedTrooper.name }} est passé au niveau
      {{ selectedTrooper.level }} ! Choisis une nouvelle compétence à lui
      apprendre parmi celles proposées ci-dessous :
    </div>

    <div class="flex items-center justify-center lg:pr-10">
      <div class="relative">
        <img
          [src]="
            selectedTrooper.savedSill3
              ? '/assets/images/levelup3.webp'
              : '/assets/images/levelup2.webp'
          "
          alt=""
          draggable="false"
        />
        <div class="absolute top-1/2 -translate-y-1/2 w-[68px]">
          <app-trooper-cell [trooper]="selectedTrooper"></app-trooper-cell>
          <img src="/assets/images/up.gif" alt="" />
        </div>
      </div>
      <div>
        <div *ngIf="selectedTrooper.savedSill1" class="mb-5">
          <ng-template
            *ngTemplateOutlet="
              skillChoice;
              context: { skill: selectedTrooper.savedSill1 }
            "
          ></ng-template>
        </div>

        <div *ngIf="selectedTrooper.savedSill2" class="mb-5">
          <ng-template
            *ngTemplateOutlet="
              skillChoice;
              context: { skill: selectedTrooper.savedSill2 }
            "
          ></ng-template>
        </div>

        <div *ngIf="selectedTrooper.savedSill3" class="mb-5">
          <ng-template
            *ngTemplateOutlet="
              skillChoice;
              context: { skill: selectedTrooper.savedSill3 }
            "
          ></ng-template>
        </div>
      </div>
    </div>
  </div>
</ng-container>
<ng-template #skillChoice let-skill="skill">
  <div class="relative cursor-pointer" (click)="chooseSkill(skill)">
    <img src="/assets/images/box8.webp" alt="" draggable="false" />

    <img
      [src]="'/assets/images/skills/' + skill + '.png'"
      class="absolute w-[30px] h-[30px] left-[30px] top-[13px] lg:top-[29px]"
      alt=""
      draggable="false"
    />

    <div class="absolute left-[95px] top-2">
      <h2 class="text-white text-lg font-bold">{{ skill }}</h2>
    </div>
  </div>
</ng-template>
